;; File: ibrazilian-startup.el
;; Written by Rafael Laboissiere <rafael@icp.inpg.fr> on 1998/06/09
;; This file is intended to be used as a startup file for using the
;; brazilian ispell dictionary put together by Ricardo Ueda Karpischek
;; <ueda@ime.usp.br>.
;; Essentially, the entry with key "brasileiro" in
;; ispell-dictionary-alist is modified, if it exists.

(let
  ((dict-name "brasileiro")
   (parameters 
    '("[a-zA-Z]"  ;; CASECHARS
      "[^a-zA-Z]" ;; NOT-CASECHARS
      "[---']"                                      ;; OTHERCHARS
      t                                             ;; MANY-OTHERCHARS-P
      nil                                           ;; ISPELL-ARGS
      nil                                           ;; EXTENDED-CHARACTER-MODE
      iso-8859-1)))                                 ;; CODING-SYSTEM   
   (if (assoc dict-name ispell-dictionary-alist)
       (setcdr (assoc dict-name ispell-dictionary-alist)
	       parameters)
     (setq ispell-dictionary-alist
	   (append ispell-dictionary-alist
		   (list 
		    (cons dict-name parameters))))))
